clear all;

% Load the 'displays' struct from Experiment 1A
load 1A_Data_RedBlue/displays.mat;

% Options
K = 4;
Sm = 4;

% Run the models on each display
for i=1:length(displays)
    disp(i);
    probSame_Summary(i) = Summary_ChangeDetection(displays(i).display, ...
        displays(i).display2, K)
    probSame_Chunk(i) = Chunk_ChangeDetection(displays(i).display, ...
        displays(i).display2, K, Sm)
end

% Save results
save 1A_ModelResults.mat probSame_Summary probSame_Chunk